---
lang: en
title: 'API docs: context.bind'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.bind.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [bind](./context.bind.md)

## bind namespace

<b>Signature:</b>

```typescript
export declare namespace bind 
```

## Functions

|  Function | Description |
|  --- | --- |
|  [provider(specs)](./context.bind.provider.md) | <code>@bind.provider</code> to denote a provider class<!-- -->A list of binding scope/tags or template functions to configure the binding |


